package samples.reisig;

import de.renew.unify.Tuple;

import de.renew.util.Value;


public class RingTopology extends AbstractTopology {
    public RingTopology(int n) {
        super(n);
    }

    public int[] neighbors(int i) {
        return new int[] { (i + 1) % n };
    }
}